\version "2.18.2"
\paper {
  #(set-paper-size "letter" 'portrait)
}
\include "../../Boilerplate/typesetting_functions.ly"
\include "../../Boilerplate/tree.ly"
#(set-global-staff-size 18)

\include "chant8.ly"
\include "Tone8_C.ly"
\include "Tone8_A.ly"
\include "Tone8_T.ly"
\include "Tone8_B.ly"

fourPart =
#(define-music-function
     (parser location movement)
     (string?)
   #{
  \Quartet #movement "/superius" "/altus" "/tenor" "/bassus"
#}
) 

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Actual staff system starts here
\bookpart {
  \header {
    title = "Magnificat"
    composer = "Nicolas Gombert (c. 1495 - c. 1560)"
    subtitle = "Octavi Toni"
    tagline = "" %stop automatic tag at end
  }
%%%				%Subsections of the piece
  \score {
    \keepWithTag #'ori
    \transpose c f, \chantMovt "magnificat/toneVIII/magnificat"
    \layout {
      \layoutTwo
    }
  }
  \score {
    \header {piece = "Et Exultavit"}
    \keepWithTag #'mod
    \transpose c f, \fourPart "gombert/magnificat/toneVIII/etEx"
    \layout {\layoutOne}
    \midi {\tempo 2 = 50}
  }
  \score {
    \keepWithTag #'ori
    \transpose c f, \chantMovt "magnificat/toneVIII/quiaRespexit"
    \layout {
      \layoutTwo
    }
  }
  \score {
    \header {piece = "Quia Fecit"}
    \keepWithTag #'mod
    \transpose c f, \fourPart "gombert/magnificat/toneVIII/quFe"
    \layout {\layoutOne}
    \midi {\tempo 2 = 50}
  }
  \score {
    \keepWithTag #'ori
    \transpose c f, \chantMovt "magnificat/toneVIII/etMisericordia"
    \layout {
      \layoutTwo
    }
  }
  \score {
    \header {piece = "Fecit potentiam"}
    \keepWithTag #'mod
    \transpose c f, \fourPart "gombert/magnificat/toneVIII/fePo"
    \layout {\layoutOne}
    \midi {\tempo 2 = 50}
  }
  \score {
    \keepWithTag #'ori
    \transpose c f, \chantMovt "magnificat/toneVIII/deposuit"
    \layout {
      \layoutTwo
    }
  }
  \score {
    \header {piece = "Esurientes"}
    \keepWithTag #'mod
    \transpose c f,\Trio "gombert/magnificat/toneVIII/esur"
    "/altus" "/tenor" "/bassus"
    \layout {\layoutOne}
    \midi {\tempo 2 = 50}
  }
  \score {
    \keepWithTag #'ori
    \transpose c f, \chantMovt "magnificat/toneVIII/suscepit"
    \layout {
      \layoutTwo
    }
  }
  \score {
    \header {piece = "Sicut Locutus"}
    \keepWithTag #'mod
    \transpose c f, \Quintet "gombert/magnificat/toneVIII/siLo"
    "/superius" "/altusII" "/altus" "/tenor" "/bassus"
    \layout {\layoutOne}
    \midi {\tempo 2 = 50}
  }
  \score {
    \keepWithTag #'ori
    \transpose c f, \chantMovt "magnificat/toneVIII/gloriaPatri"
    \layout {
      \layoutTwo
    }
  }
  \score {
    \header {piece = "Sicut erat"}
    \keepWithTag #'mod
    \transpose c f, \Sextet "gombert/magnificat/toneVIII/siEr" "/superius" "/altus"
    "/altusII" "/tenor" "/bassus" "/bassusII"
    \layout {\layoutOne}
    \midi {\tempo 2 = 50}
  }
}
